Meu atom n instala - RESOLVIDO


#1

Quando vou instalar o atom da esse erro

[email protected]:~# dpkg -i atom-amd64.deb
(Lendo banco de dados … 367417 ficheiros e directórios actualmente instalados.)
A preparar para desempacotar atom-amd64.deb …
A descompactar atom (1.27.1) sobre (1.27.1) …
dpkg: problemas com dependências impedem a configuração de atom:
atom depende de gconf2; porém:
Pacote gconf2 não está instalado.
atom depende de gconf-service; porém:
Pacote gconf-service não está instalado.

dpkg: erro ao processar o pacote atom (–install):
problemas de dependência - deixando desconfigurado
A processar ‘triggers’ para gnome-menus (3.13.3-11) …
A processar ‘triggers’ para desktop-file-utils (0.23-3) …
A processar ‘triggers’ para mime-support (3.60) …
Erros foram encontrados durante o processamento de:
atom


#2

Opa, fala parceiro!
Tudo bem ?
O erro que você descreveu, é um erro que ocorre quando existe uma dependência de pacotes, o dpkg não entende que o pacote solicitado para instalação possui dependências, desta forma ele instala apenas o pacote que você solicita.
Uma maneira fácil de corrigir isso é utilizando o comando abaixo:
apt-get -f install

Após rodar este comando tente instalar novamente, se o erro persisitir por favor retorne aqui no fórum.
abraço!


#3

Fala @shadow_shots ! Embora eu ache que a dica do @Ariel_Petrus seja o suficiente para solucionar seu problema, posso complementar um pouco.

Primeiramente, tenha certeza de que os repositórios do Kali estão configurados corretamente. Faça isso conferindo no site oficial do Kali. O repositório deve ser adicionado no arquivo /etc/apt/sources.list.

Em segundo lugar, limpe o cache dos repositórios do seu sistema e atualize-os com os comandos:

apt-get clean && apt-get update

Agora dê o seguinte comando para resolver o problema de dependências:

apt-get -f install && dpkg --configure -a

Esse comando (ou esses comandos, pois combinei o apt-get com o dpkg) vai resolver as dependências ou remover o pacote caso as dependências não estejam disponíveis.

Você também pode tentar o comando:

apt –fix-broken install

Espero que tenha te ajudado! Abraços


#4

vlw mano deu certo
agr meu atom da funcionando xD


#5

entendi vlw ae lucas por estar sempre ajudando xD noix


#6

Valeu @shadow_shots! :slight_smile: Fico feliz que tenha resolvido seu problema.